# telegram.PollAnswer

class telegram.PollAnswer(poll_id, user, option_ids, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents an answer of a user in a non-anonymous poll.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `poll_id`, `user` and `options_ids` are equal.

  poll_id

    Unique poll identifier.

    Type

      `str`

  user

    The user, who changed the answer to the poll.

    Type

      `telegram.User`

  option_ids

    Identifiers of answer options, chosen by the user.

    Type

      List[`int`]

  Parameters

    - poll_id (`str`) – Unique poll identifier.

    - user (`telegram.User`) – The user, who changed the answer to the poll.

    - option_ids (List[`int`]) – 0-based identifiers of answer options, chosen by the user. May be empty if the user retracted their vote.

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.